Package org.zkoss.zkmax.ui.event

## Class Events

- java.lang.Object
- - org.zkoss.zkmax.ui.event.Events

-     public class Events
      extends java.lang.Object

  Utilities to access events for ZkMax.

  Available in ZK EE

  Since:
    5.0.0
  Author:
    jumperchen

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ON_ADJUST_COLS` | The onAdjustCols event used with `Event`.
    `static java.lang.String` | `ON_ADJUST_FROZEN_COLS` | The onAdjustFrozenCols event used with `Event`.
    `static java.lang.String` | `ON_ADJUST_ROWS` | The onAdjustRows event used with `Event`.
    `static java.lang.String` | `ON_CAMERA_UNAVAILABLE` | The onCameraUnavailable event used with `DOMExceptionEvent`.
    `static java.lang.String` | `ON_CELL_CLICK` | The onCellClick event used with `CellClickEvent`.
    `static java.lang.String` | `ON_CLEAR` | The onClear event used with `Event`.
    `static java.lang.String` | `ON_CROP` | The onCrop event used with `UploadEvent`.
    `static java.lang.String` | `ON_DETECT` | The onDetect event used with `Event`.
    `static java.lang.String` | `ON_DIVISION_SIZE` | The onDivisionSize event used with `Event`.
    `static java.lang.String` | `ON_ITEM_CLICK` | The onItemClick event used with `Event`.
    `static java.lang.String` | `ON_LENGTH_LIMIT_EXCEED` | The onLengthLimitExceed event used with `Event`.
    `static java.lang.String` | `ON_MAX_FILE_COUNT_EXCEED` | The onMaxFileCountExceed event used with `Event`.
    `static java.lang.String` | `ON_MAXSIZE_EXCEED` | The onMaxsizeExceed event used with `Event`.
    `static java.lang.String` | `ON_PORTAL_DROP` | The PortalDropEvent event used with `PortalDropEvent`.
    `static java.lang.String` | `ON_PORTAL_MOVE` | The onPortalMove event used with `PortalMoveEvent`.
    `static java.lang.String` | `ON_SAVE` | The onSave event used with `UploadEvent`.
    `static java.lang.String` | `ON_SCROLL_X` | The onScrollX event used with `ScrollEventExt`.
    `static java.lang.String` | `ON_SCROLL_Y` | The onScrollY event used with `ScrollEventExt`.
    `static java.lang.String` | `ON_SELECT_SUBMODEL` | The onSelectSubModel event used with `Event`.
    `static java.lang.String` | `ON_SNAPSHOT_UPLOAD` | The onSnapshotUpload event used with `UploadEvent`.
    `static java.lang.String` | `ON_VIDEO_UPLOAD` | The onVideoUpload event used with `UploadEvent`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Events()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ON_PORTAL_MOVE

          public static final java.lang.String ON_PORTAL_MOVE

      The onPortalMove event used with `PortalMoveEvent`.
      See Also:
        Constant Field Values

    - #### ON_PORTAL_DROP

          public static final java.lang.String ON_PORTAL_DROP

      The PortalDropEvent event used with `PortalDropEvent`.
      Since:
        9.5.1
      See Also:
        Constant Field Values

    - #### ON_SAVE

          public static final java.lang.String ON_SAVE

      The onSave event used with `UploadEvent`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

    - #### ON_CLEAR

          public static final java.lang.String ON_CLEAR

      The onClear event used with `Event`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

    - #### ON_SELECT_SUBMODEL

          public static final java.lang.String ON_SELECT_SUBMODEL

      The onSelectSubModel event used with `Event`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

    - #### ON_ITEM_CLICK

          public static final java.lang.String ON_ITEM_CLICK

      The onItemClick event used with `Event`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

    - #### ON_DETECT

          public static final java.lang.String ON_DETECT

      The onDetect event used with `Event`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

    - #### ON_MAX_FILE_COUNT_EXCEED

          public static final java.lang.String ON_MAX_FILE_COUNT_EXCEED

      The onMaxFileCountExceed event used with `Event`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

    - #### ON_CROP

          public static final java.lang.String ON_CROP

      The onCrop event used with `UploadEvent`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

    - #### ON_VIDEO_UPLOAD

          public static final java.lang.String ON_VIDEO_UPLOAD

      The onVideoUpload event used with `UploadEvent`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

    - #### ON_SNAPSHOT_UPLOAD

          public static final java.lang.String ON_SNAPSHOT_UPLOAD

      The onSnapshotUpload event used with `UploadEvent`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

    - #### ON_MAXSIZE_EXCEED

          public static final java.lang.String ON_MAXSIZE_EXCEED

      The onMaxsizeExceed event used with `Event`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

    - #### ON_LENGTH_LIMIT_EXCEED

          public static final java.lang.String ON_LENGTH_LIMIT_EXCEED

      The onLengthLimitExceed event used with `Event`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

    - #### ON_CAMERA_UNAVAILABLE

          public static final java.lang.String ON_CAMERA_UNAVAILABLE

      The onCameraUnavailable event used with `DOMExceptionEvent`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

    - #### ON_SCROLL_Y

          public static final java.lang.String ON_SCROLL_Y

      The onScrollY event used with `ScrollEventExt`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

    - #### ON_SCROLL_X

          public static final java.lang.String ON_SCROLL_X

      The onScrollX event used with `ScrollEventExt`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

    - #### ON_ADJUST_ROWS

          public static final java.lang.String ON_ADJUST_ROWS

      The onAdjustRows event used with `Event`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

    - #### ON_ADJUST_COLS

          public static final java.lang.String ON_ADJUST_COLS

      The onAdjustCols event used with `Event`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

    - #### ON_CELL_CLICK

          public static final java.lang.String ON_CELL_CLICK

      The onCellClick event used with `CellClickEvent`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

    - #### ON_ADJUST_FROZEN_COLS

          public static final java.lang.String ON_ADJUST_FROZEN_COLS

      The onAdjustFrozenCols event used with `Event`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

    - #### ON_DIVISION_SIZE

          public static final java.lang.String ON_DIVISION_SIZE

      The onDivisionSize event used with `Event`.
      Since:
        10.0.0
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Events

          public Events()